QSELECT(1)

NAME
qselect - select queues.

SYNTAX
qselect [ -help ] [ -l resource=val,... ] [ -pe pe_name,... ] [ -q wc_queue,... ] [ -s {r|p|s|z|hu|ho|hs|hj|ha|h}[+] ] [ -U user,... ]

DESCRIPTION
qselect prints a list of Grid Engine queue names corresponding to selection criteria specified in the qselect arguments described below. The output of qselect can be fed into other Grid Engine commands to apply actions on the selected queue sets. For example together with the -mqattr option to qselect can be used to modify queue attributes on a set of queues.

OPTIONS

-help
    Prints a listing of all options.

-l resource[=value],...
    Defines the resources to be granted by the queues which should be included in the queue list output. Matching is performed on queues based on non-mutable resource availability information only. That means load values are always ignored except the so-called static load values (i.e. "arch", "num_proc", "mem_total", "swap_total" and "virtual_total") ones. Also consumable utilization is ignored.

-pe pe_name,...
    Includes queues into the output which are attached to at least one of the parallel environments enlisted in the comma separated option argument.

-q wc_queue,...
    Directly specifies the wildcard queue list to be included in the output. This option usually is only meaningful in conjunction with another qselect option to extract a subset of queue names from a list given by -q. Description of wc_queue can be found in

-qs {a|c|d|o|s|u|A|C|D|E|S}
    This option allows to filter for queue instances in certain states.

-U user,...
    Includes the queues to which the specified users have access in the qselect output.

EXAMPLES
=====================================================
% qselect -l arch=linux
% qselect -l arch=linux -U andreas,shannon
% qconf -mattr queue h_vmem=1GB `qselect -l arch=linux`
=====================================================
The first example prints the names of those queues residing on Linux machines. The second command in addition restricts the output to those queues with access permission for the users andreas and shannon. The third command changes the queue attribute h_vmem to 1 Gigabyte on queues residing on Linux machines (see the manual page for details on the -mattr option and the manual page on details of queue configuration entries).

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine standard configuration files.

SGE_CELL
    If set, specifies the default Grid Engine cell. To address a Grid Engine cell qselect uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

SGE_QMASTER_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry for the service "sge_qmaster" instead to define that port.

FILES
<sge_root>/<cell>/common/act_qmaster
	Grid Engine master host file

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.